Bug 228702 - devel/py-keystonemiddleware: update to 4.21.0
Summary: devel/py-keystonemiddleware: update to 4.21.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on: 228684 228698
Blocks: 228849
  Show dependency treegraph
 
Reported: 2018-06-02 17:14 UTC by Kai Knoblich
Modified: 2018-07-10 09:35 UTC (History)
3 users (show)

See Also:
alexander.nusov: maintainer-feedback+


Attachments
py-keystonemiddleware-4.21.0.patch (4.19 KB, patch)
2018-06-02 17:14 UTC, Kai Knoblich
no flags Details | Diff
py-keystonemiddleware-4.21.0-v2.patch (4.13 KB, patch)
2018-06-22 14:17 UTC, Kai Knoblich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2018-06-02 17:14:06 UTC
Created attachment 193942 [details]
py-keystonemiddleware-4.21.0.patch

Hello,

attached is the patch from svn that updates devel/py-keystonemiddleware to 4.21.0 .

Changes by upstream:
- https://docs.openstack.org/releasenotes/keystonemiddleware/queens.html

Changes to the port:
- added LICENSE and LICENSE_FILE
- sorted variables a bit
- added PORTSCOUT

QA:
~~~
- poudriere (11.1-RELEASE amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK

Note:
- There's already a newer version at PyPI available but v4.21.0 is the latest supported release for the Queens-Release Series. (see also: https://releases.openstack.org/queens/index.html#queens-keystonemiddleware)
- Before this port can be updated following ports must be updated first:
-> devel/py-cadf (see also PR #228698: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228698)
-> devel/py-python-keystoneclient (see also PR #228684: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228684 )
Comment 1 Kai Knoblich freebsd_committer 2018-06-22 14:17:01 UTC
Created attachment 194492 [details]
py-keystonemiddleware-4.21.0-v2.patch

Rebased patch after r472884
Comment 2 commit-hook freebsd_committer 2018-07-10 09:35:52 UTC
A commit references this bug:

Author: miwi
Date: Tue Jul 10 09:34:58 UTC 2018
New revision: 474344
URL: https://svnweb.freebsd.org/changeset/ports/474344

Log:
  - Update to 4.21.0
  - Added LICENSE and LICENSE_FILE
  - Sorted variables a bit
  - Added PORTSCOUT

  PR:		228702
  Submitted by:	freebsd_ports@k-worx.org
  Approved by:	maintainer
  Sponsored by:	iXsystems Inc.

Changes:
  head/devel/py-keystonemiddleware/Makefile
  head/devel/py-keystonemiddleware/distinfo
  head/devel/py-keystonemiddleware/pkg-descr